# Package org.eclipse.ecf.core.identity

Interface Summary
ID: Contract for ECF identity
IIdentifiable: Defines implementing classes as being identifiable with an ECF ID.
IIDFactory: Contract for `IDFactory`
IResourceID: Resource id.

Class Summary
BaseID: Base class for ID implementation classes Extensions for the org.eclipse.ecf.namespace extension point that expose new Namespace subclasses and their own ID implementations are recommended (but not required) to use this class as a superclass.
GUID: Globally unique ID implementation class.
GUID.GUIDNamespace
IDFactory: A factory class for creating ID instances.
LongID: A unique ID class based upon Long/long
LongID.LongNamespace
Namespace: Namespace base class.
NamespacePermission
StringID: A string-based identity
StringID.StringIDNamespace
URIID: URI ID class.
URIID.URIIDNamespace
UuID
UuID.UuIDNamespace

Exception Summary
IDCreateException